import { defineStore } from 'pinia';


export const useVisitor = defineStore('visitor', () => {
  const patientId = ref<string>();
  const resultId = ref<string>();
  const reportId = ref<string>();

  const $reset = () => {
    patientId.value = '';
    resultId.value = '';
    reportId.value = '';
  };

  return { patientId, resultId, reportId, $reset };
});
